Introduction to Serial Splitter

Serial Splitter is an advanced application, based on Windows kernel drivers technology and Eltima Virtual Serial Ports Driver. It allows you to share real serial port between several applications in a way, that all applications will receive same data from one serial port simultaneously. It is achieved by creating virtual serial ports, which are same copies of real ones. Each application will think that it is working with serial port in exclusive mode. One of them will be able also to send data to real serial port. Since version 3.0 Serial Splitter features unique ports bundles approach, which lets you split serial ports at one side into multiple virtual and real serial ports at the other one, as well as join multiple serial ports into one. Another unique feature is many-to-many ports splitting/redirection: you can have multiple serial ports at both sides of a bundle, the data will be redirected from several incoming ports to several outgoing ports. Using our technology of setting main ports at both sides of a bundle, you will be able to easily manage hardware control lines. Note, that both sides of a bundle can have virtual serial ports and real serial ports installed.

With Eltima Software Serial Splitter it is possible to connect two or more applications to one real serial port. For example, you can share GPS Receiver between several applications, or join several ports into one with only several clicks.

Serial Splitter can be used to:
  • split real or virtual serial port into several others
  • join several serial ports (virtual or real) into one
  • redirect dataflows from virtual serial ports to the real ones or between virtual or real serial ports
  • organize complex bundles with multiple ports at both sides
Serial Splitter main features:
  • Unique all-in-one functionality: split, join serial ports, redirect data, etc
  • Create as many virtual serial ports as you need
  • Full emulation of hardware control lines
  • One serial port can be split into any number of virtual and real serial ports
  • Any number of serial ports can be joined into one, you can create additional virtual serial ports to be joined into one
  • You can configure to grant writing rights to only certain ports in a bundle
  • Ports bundles are automatically configured every time you boot your PC, so you don't have to recreate them again
  • Simple installation and rebuilding of Serial Splitter ports bundles configuration
  • Full support of wide range of GPS devices and software
  • Fully compatible with HyperThreaded and multi-processor systems
  • Bidirectional data transfer
  • High speed data exchange from/to virtual serial port
  • Full baudrate and flow control support
  • Hot installation without any need to reboot
  • Add virtual serial ports and real serial ports to any configuration in real time
  • User-friendly interface: the software is designed to provide simple ports bundles installation, no programming skills are required
System requirements
  • Windows NT
  • Windows 2000
  • Windows XP
  • Windows 2003
  • 64-bit Windows XP
  • 64-bit Windows 2003


Software license agreement

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and Eltima Software GmbH.

The SOFTWARE is the property of Eltima Software GmbH and is protected by copyright laws and international copyright treaties.

Trial version

If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follows:

You may:

1. Install and use the unlimited number of copies of the Trial VERSION.
2. Use one or more copies of the Trial VERSION for evaluation purposes only.
3. Copy and distribute freely the Trial VERSION (see 'DISTRIBUTION').

You may not:

1. Sublicense, rent or lease the Trial VERSION or any portion of it (unless you are an authorized reseller/partner).
2. Decompile, disassemble, deflash, reverse engineer or modify the Trial VERSION or any portion of it.

Distribution:

You are hereby licensed to make as many copies of the Trial VERSION as you wish and distribute them to anyone provided that all files are intact. You must distribute the install form of the Trial VERSION (not the files resulting of an installation). You are not allowed to sell the Trial VERSION (except for shipment and handling charges). Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission. Please inform us by e-mail each time you distribute the Trial VERSION.

Warranty disclaimer:

The SOFTWARE is supplied "AS IS". Eltima Software GmbH disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE. Eltima Software GmbH claims no responsibility for illegal usage of this SOFTWARE.

Disclaimer of damages

Eltima Software GmbH assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if Eltima Software GmbH has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


Serial Splitter Registration

For order processing we use ShareIt! (www.shareit.com). This system offers full range of payment options, including credit cards, bank/wire transfers, cash, checks, etc. Your order is absolutely secure and we do our best to keep each and every client satisfied.

Please, select the license, which is best suitable for you:

Serial Splitter 3

Single License
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 89.95
$ 99.95
2-5 Licenses
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 79.95
$ 89.95
6-10 Licenses
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 69.95
$ 79.95
11-20 Licenses
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 59.95
$ 69.95
21 and more licenses
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 49.95
$ 59.95
Unlimited Site License
Order Serial Splitter now! Order Serial Splitter now! Order Serial Splitter now!
€ 1250.00
$ 1450.00

Your registration key is delivered immediately after the order placement. In rare cases, it can take up to 48 hours. The registration key is delivered via e-mail either by the selling system (ShareIt!) or our Sales Team. We are also open to discuss multiple licenses discounts, educational institution discounts and Source Codes licensing.

Security guarantee
Online order placement page has been secured with a digital certificate by VeriSign, Inc. This is shown via the "site certificate" that sits on all secure pages. To view this certificate, click on the VeriSign logo at the bottom of the page or the solid key on the status bar of your browser window. A small frame displaying site security information will appear.

Lifetime 24/7 quality individual tech and info support
Our Support Team is available 24 hours a day, 7 days a week, 365 days a year via email, instant messengers, phone or fax. If you have any problems using our products, please send us your detailed comments, suggestions, questions and we will solve every issue with respect and with invisible delays. We value every customer and will reply to you as soon as possible. Registered customers are given top priority. All the contacts can be found either in software manuals, or on the web, or in the software "About" box.

All upgrades are FREE!
All registered customers are granted FREE upgrades within one major version of Serial Splitter. Additionally, as a registered customer, you can purchase all our other similar software at a discounted price. For more detailed information about our upgrade policy, please email us at support@eltima.com or visit: www.eltima.com.

14 days money back guarantee
To insure that you are receiving quality service and ordered products work as they were announced to, Eltima offers an honor-based 14 days money-back-guarantee when you purchase any of our products. Honor-based means we will be glad to return your investment when we are sure the product is malfunctioning on client's PC and we receive assistance in finding out the reason on the side of our customers. Please, note that we do not cover unconditional refunds, so contact our Sales Department to issue the reason of your refund request.

I got my key, what do I do now?
To register your copy of Serial Splitter with the registration key you received upon the purchase, please, use "Help -> Enter registration code" option to enter the code.

If the code is correct and matches your registration name, your copy of Serial Splitter will be registered with the following message: "Thank you for registration." Serial Splitter will then be closed and restarted automatically. Thank you, you have completed the registration.


Technical support

You can easily request support via any of the following methods:

Support via e-mail:

You can always reach our Support Team via the following e-mail:
support@eltima.com

Support via instant messengers:

ICQ #: 133156588
MSN Messenger ID: softinfinity@hotmail.com
AOL Messenger ID: SoftInfinitySP
Yahoo! Messenger ID: serge_softinfinity

Support via phone:

Toll free number: +1-888-4ELTIMA [CET]

Contact us now! (requires a connection to the Internet)

If you have any questions or comments, please, feel free to use the following form to contact us.

Your name:
Your e-mail:
Your company (optional):
Your country:
Your question most closely concerns:
Contact me back via:
You contact details (Messenger account, phone number):
Your message:


What's new in this version?

Serial Splitter 3.2 [Build 3.2.2.51]
Released: 4th October 2005
  • "Retry opening real port ..." option is added to "Preferences"
Serial Splitter 3.2 [Build 3.2.1.48]
Released: 29th September 2005
  • New command (startup) to customize startup service behavior added
Serial Splitter 3.2 [Build 3.2.1.46]
Released: 22nd September 2005
  • Signal settings while creating ports bundles were revamped
Serial Splitter 3.2 [Build 3.2.1.45]
Released: 19th September 2005
  • DCD signal transmission from real to virtual port corrected
Serial Splitter 3.2 [Build 3.2.1.42]
Released: 12th September 2005
  • The bug with product registration was fixed
Serial Splitter 3.2 [Build 3.2.1.41]
Released: 8th September 2005
  • All 64-bit Windows OS versions are supported now
Serial Splitter 3.1 [Build 3.1.1.32]
Released: 1st September 2005
  • Added "Ignore errors while creating bundles" option to Preferences dialog
Serial Splitter 3.1 [Build 3.1.0.26]
Released: 14th July, 2005
  • Extended and improved manual
Serial Splitter 3.1 [Build 3.1.0.25]
Released: 11th July, 2005
  • Ability to configure real serial port to match remote serial port settings or set custom settings is added
  • Activity log window is added
  • Improved performance and program stability

Serial Splitter 3.0 [Build 3.0.0.23]
Released: 5th July, 2005
  • Bug in security module is fixed
Serial Splitter 3.0 [Build 3.0.0.22]
Released: 23rd June, 2005
  • Ports parameters management bug was fixed and corresponding routines were stabilized
  • Automatic parameters saving added
  • Several minor fixes and enhancements
Serial Splitter 3.0 [Build 3.0.0.20]
Released: 6th May, 2005
  • Errors log file management enhanced
  • Installator updated
  • Splitting service cannot be started when there are no bundles to create
  • Several critical fixes
Serial Splitter 3.0 [Build 3.0.0.19]
Released: 5th May, 2005
  • Existing ports are now automatically fetched when rebuilding the configuration
  • Several minor fixes
  • New splitting algorithms for GPS devices
  • Registration code can now be entered in lower case
Serial Splitter 3.0 [Build 3.0.0.17]
Released: 9th March, 2005
  • Totally rewritten ports splitting engine
  • New ports joining feature
  • New many-to-many ports splitting feature
  • Unique ports bundles approach
  • Totally reworked interface and manual
  • Serial Splitter now works as service and can be easily deployed into your software as OEM
  • New convenient wizards
  • Now ports bundles may contain virtual and real ports at both sides
  • Plenty of new features and core enhancements


Getting the latest version

There are many places you may have downloaded this software from, it can be a software catalog, or software shop, or your friend's website. Below, we list official resources you should trust first and foremost. These are the websites, where you can be sure to get the latest stable release, and where you should go to request upgrades technical support:

http://www.eltima.com
http://www.virtualserialport.com
http://www.serial-port-communication.com


Installation

Serial Splitter is distributed as a single package: serial_splitter.exe (may be ZIPped). This is a Windows Installer database file packed into the executable file. Use the following procedure to install Serial Splitter on your computer:

  1. Make sure that you have all required privileges in order to run Microsoft Windows Installer package on the local machine. You must be a member of Administrators group or you must have an Install Device Drivers privilege assigned to you by the administrator of the local machine in order to successfully install the software and utilize it.
  2. Launch the serial_splitter.exe file. Follow the steps offered by the installation wizard.
  3. After the product is successfully installed, run it either directly from the installer, or using any of the shortcuts created.


Program Interface

Serial Splitter has a standard interface, understood by any level user.

Main window can be divided into the following parts:
  • Menu
  • Toolbar
  • Ports Bundle Tree
  • Activity Log


Main menu

Menu provides convenient access to all program's features and has the following items:

  1. File

    2. File menu could be further divided into the following items:

    • New bundle wizard

      • Call one of the 3 wizards:

      • Split one port into many ("Ctrl" + 1)

      • Join many ports into one ("Ctrl" + 2)

      • Many-to-many ports splitting ("Ctrl" + 3)

    • Export configuration to ...

      • Save current bundles configuration in a separate file to be able to load it later.

    • Import configuration from ...

      • Load bundles configuration file saved earlier.

    • Preferences ... ("Ctrl" + "P")

      • Open configuration dialog.

    • Exit

      • Close Serial Splitter program.

  2. Edit

    3. Edit menu option provides all means to serial ports and bundles configuration:

    • Add bundle ("Ctrl" + "Insert")

      • Create new empty bundle. Please, note that to be able to use it you have to add any serial port to IN and OUT sides.

    • Remove bundle ("Ctrl" + "Delete"")

      • Remove bundle selected in Ports Bundles Tree.

    • Reset configuration

      • Remove all bundles from Ports Bundles Tree.

    • Add port

      • Add real or virtual serial port into a bundle selected in Ports Bundles Tree. Please, note that to be able to add any ports you have to create a ports bundle first.

    • Remove port ("Delete")

      • Remove serial port selected in Ports Bundles Tree.

    • Set main port

      • Set serial port selected in Ports Bundles Tree as main one. Please, note that main port has small exclamation icon beside it.

    • Real serial port settings ("Ctrl" + "R")

      • Invoke real serial port configuration manager.

  3. Service

    • Start ("F5")

      • Create in the system all the bundles which have been created in a configuration. For successful execution of this operation all real ports in the system which are present in the bundle should not be occupied.

    • Stop ("F6")

      • Uninstall current configuration from your system. Please, note that all the ports present in bundles should be closed for successful execution of uninstall operation.

    • Restart ("F8")

      • Perform "Stop Service" and "Start Service" in a one mouse click.

  4. View

    5. View menu option allows you to modify program interface appearance. You may display or hide toolbar icons, menu options etc.

    • Toolbars

      • Standard Toolbar

        • Display (if option is enabled) or hide Toolbar.

      • Customize ..

        • Customize different items in Serial Splitter interface.

    • Status Bar

      • Display (if option is enabled) or hide Status Bar.

    • Activity Log

      • Display (if option is enabled) or hide Activity Log.

  5. Help

    • User manual ("F1")

      • Open user manual (one you read now).

    • Homepage

      • Visit Serial Splitter homepage (require internet connection).

    • Enter registration code

      • Register Serial Splitter

    • About Serial Splitter...

      • View brief information about Serial Splitter.


Toolbar

Toolbar provides quick access to most frequently used tasks and commands and has the following options:

  • Bundle creation wizard

    • Open Split one port into many ("Ctrl" + 1), Join many ports into one ("Ctrl" + 2) or Many-to-many ports splitting ("Ctrl" + 3) wizard.

  • Export configuration

    • Save current configuration in a file.

  • Import configuration

    • Load bundles configuration settings.

  • Add new bundle

    • Create new empty bundle. Please, note that to be able to use it you have to add any serial port to IN and OUT sides.

  • Delete bundle

    • Remove bundle ("Ctrl" + "Delete")

      • Remove bundle selected in Ports Bundles Tree.

    • Reset configuration

      • Remove all bundles from Ports Bundles Tree.

  • Add port to current bundle

    • Add real or virtual serial port into a bundle selected in Ports Bundles Tree. Please, note that to be able to add any ports you have to create a ports bundle first.

  • Delete port ("Delete")

    • Remove serial port selected in Ports Bundles Tree.

  • Set main port ("Ctrl" + "M")

    • Set serial port selected in Ports Bundles Tree as main one. Please, note that main port has small exclamation icon beside it.

  • Real serial port settings ("Ctrl" + "R")

    • Invoke real serial port configuration manager.

  • Start service

    • Create in the system all the bundles which have been created in a configuration. For successful execution of this operation all real ports in the system which are present in the bundle should not be occupied.

  • Stop service

    • Uninstall current configuration from your system. Please, note that all the ports present in bundles should be closed for successful execution of uninstall operation.

  • Restart

    • Perform "Stop Service" and "Start Service" in a one mouse click.

  • Help

    • User manual ("F1")

      • Open user manual (one you read now).

    • Homepage

      • Visit Serial Splitter homepage (require internet connection).

    • Enter registration code

      • Register Serial Splitter

    • About Serial Splitter...

      • View brief information about Serial Splitter.

  • Add or Remove buttons

    • You may modify Toolbar look by adding or removing any available button.


Ports Bundles Tree

Port Budles Tree is a graphical representation of all bundles and serial ports configuration. You may navigate through available bundles, view serial ports states etc. By right-clicking any port in Ports Bundles Tree you may add port, add bundle, invoke real port configuration manager, set main port and so on.


Activity Log

Activity Log displays all events related to serial ports manipulation and is useful to check if any errors happen while openning/closing serial ports.

If this window is not visible click "View" menu option and select "Activity Log". Activity Log window is resizable, dockable, floatable and supports autohiding.


Status Bar

Status bar provides users with brief information (hint) about program usage and interface components as well as status of CAPS LOCK, NUM LOCK, SCROLL LOCK buttons (if any of mentioned buttons are not activated, corresponding icon is grayed).


Ports Bundles Approach

Serial Splitter 3 works with such concepts as port, ports bundle, main port. Let's look into the meaning of these concepts.

Port is a device which transmits data in both directions at a specified speed. Port might be a real one which is physically available in your computer or a virtual one which isn't actually present at the serial bus, but is virtually available in your system as well as the real port.

Ports bundle is a kind of combination of real and virtual serial ports (either real ports only or virtual ones only). Ports bundle has two sides: IN and OUT. There might be one or several ports at the IN side as well as at the OUT side of a port bundle. And it doesn't matter for Serial Splitter what kind of ports there are - real or virtual ones. Data may come to IN side of the bundle from one port and then be split into several flows and directed to different ports. And vice versa data may come to IN side from several ports and be joined into a single flow.

Main port is a port which is allowed to manage control lines. There may be only two ports of this kind in a ports bundle: one is assigned for an IN-side and another one - for an OUT-side. The presence of control port in a bundle is optional. If no main port is set, then neither port has the right to manage control lines.


Adding Ports Bundles

You can use several methods to add a new ports bundle.
  1. Use "Edit -> Add bundle" main menu option.
  2. Click "Add Bundle" icon on the main toolbar.
  3. Press hotkey combination "CTRL+Insert" to add a new ports bundle.
  4. Finally, you can add a bundle by right-clicking any entry in the Serial Splitter Configuration tree and selecting "Add bundle" from a drop-down menu that appears.
In the process of new ports bundle creation you will be asked to enter a bundle's name. You can assign any name you like for it or leave a default name ("New bundle"). A newly added bundle will be automatically split into two parts: IN and OUT. Use "Right Arrow" key or double-click on the bundle itself to see this.

In order to finalize the process of a ports bundle creation you have to add incoming and outgoing ports to the IN and OUT sides. (Refer to MANAGING PORTS section for details)


Deleting Ports Bundles

  1. Use hotkey combination "Ctrl+Delete" or "Edit -> Remove bundle" menu option to delete the bundles you have created.
  2. There is also a special icon on the main toolbar for bundles deletion.
When executing any of the above operations you will have to confirm the bundle deletion.

You can also delete all existing bundles by selecting "Reset configuration" option from the Edit -> Reset configuration menu or by clicking the special icon "Reset configuration" on the main toolbar.

Be careful with deletion! If you haven't saved the configuration, all the bundles will be lost.


Saving/Loading Configuration

As soon as you are happy with the configuration you created, you can save it. Use one of the following methods to save the configuration:
  1. Click the "Export configuration" icon on the main toolbar. In the window that appears enter the file name to save it. The file is saved with *.reg extension as the program works with the registry, where the information about ports and bundles will be stored whenever the configuration is changed.
  2. Select "File -> Export configuration" option from the main menu.
You can also import a bundle to the previously created configuration and even restore the saved configuration if you have deleted something from it afterwards. Use one of the following methods to import a bundle:
  1. Click the "Import configuration" icon on the main toolbar.
  2. Select "File -> Import configuration" option from the main menu.
Advanced users can create their own configurations in a separate file with *.reg extension to import them into the system later. Please, refer to OEM REDISTRIBUTION section for details.


Managing Ports

Adding ports to a ports bundle.

There are several methods of adding ports to the previously created ports bundle:
  1. Right-click the corresponding IN or OUT side depending on which element you want to add: incoming or outgoing port and select "Add port -> Add real serial port" or "Add port -> Add virtual serial port" option from the a drop-down menu that appears.
  2. Click the "Add port" icon on the main toolbar to add real or virtual port to the bundle.
Deleting ports from a ports bundle.

To delete ports from the previously created serial ports configuration you may choose one of the following methods:
  1. Left-click this port to highlight it and then right-click on it and select "Remove port" option from a drop-down menu.
  2. Left-click the port you want to delete in order to highlight it and then press the "Delete" button on your keyboard.
When deleting a port you will have to confirm the bundles deletion.

Main port function.

Selecting the main port is an optional feature. You will not be able to manage control lines, however, if you don't set the main port. There might be only two main ports in a bundle: one for each of the IN and OUT sides.

Setting the main port is easy. You can choose any of the following methods:
  1. Highlighten a port by left-clicking or using arrow keys and then press "CTRL+M" hotkey combination.
  2. Use the special icon "Set main port" on the main toolbar.
  3. Select "Edit -> Set Main port" option from the main menu.


Wizards

Wizards are your small assistants if you are not familiar with Serial Splitter enough. They make your life easier and describe your every step: what you have to do next and what for. There are three Wizards in Serial Splitter and each one is responsible for a definite function.

Split one port into many

This wizard will help you to create a bundle of ports which will split one real or virtual port into several others. You will only have to follow a few simple steps and will be able to analyze the result in a bundles tree and learn how to create similar bundles manually. Thanks to Serial Splitter and its unique techniques you now can split one port into any number of serial ports, both real and virtual ones!

Join many ports into one

This wizard will show you how to do the action opposite to splitting a serial port. It will guide you through the whole process of joining several serial ports into one. You will see that it is really simple to create such a bundle of many serial ports to one. You will see that with Serial Splitter such configuration is capable of handling full-duplex connections and data streams.

Many-to-many ports splitting

Multiple ports to multiple ports redirecting/splitting is one of the unique features Serial Splitter has to offer.

You will see how easily you can split, for example, COM1 and COM2 real serial ports to a whole set of virtual ports: COM5, COM6, COM7, COM10, etc.


Configuration

Serial Splitter offers several configurable settings. To invoke configuration dialog, please, go to "File -> Preferences" or press "CTRL+P".
There are two sections in the Preferences window which appears: Service and Configuration.

In the Service section you can set the following options:
  1. Select the splitting service start type between Automatic and Manual types.
  2. Check "Allow sending data to main port only" box
  3. Check "Enable baudrate emulation for virtual serial ports" box
  4. Enable/disable "Ignore errors while creating bundles" option, to carry on creation/openning process even if some of the pairs are not created/opened in a bunch
  5. "Retry opening real port later in case of failure" option try automatically reopen serial port in case it won't able to be opened at the start (and "Ignore errors.." options is enabled) or if serial port was removed while service was running (USB to COM lead was unplugged)
  6. Set the "Error log file location" path
In the Configuration section you can check any of the following boxes:
  • "Restart service on exit" option will be useful if configuration is changed frequently.
  • "Automatically set first added port as main" will enable the function of automated main port setting. You should remember that there can only be one main port at the IN side and one at the OUT side!


Real port configuration manager

To modify real port settings you must call configuration manager. It could be opened in several ways:

  • Click "Edit" menu option and select "Real serial port settings"
  • Right-click necessary real port icon in a Ports Bundle Tree and select "Real serial port settings" option

  • Press "Ctrl" + "R"

    • Real serial port settings manager will be opened in a new window:

You have an option to either match remote port settings or set custom ones.

If you select "Match the opening settings of the other end's main port" option make sure you have set remote as main port. This option could be useful if you want to open real serial port with exactly the same settings as virtual (splitted) one.

As an alternative, you may choose "Use custom settings" option which allows you to set different values such as:

  • Baudrate

    • Possible values are: 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 56000, 57600, 115200, 128000 and 256000 bauds. By default 110 is selected.

  • Parity

    • Possible values are: "No parity", "Odd", "Even", "Mark" and "Space". Default value is "No parity".

  • Databits

    • Possible values are: 5, 6, 7 and 8. By default "7" is selected.

  • Stopbits

    • Possible values are: "1 stop bit" and "2 stop bits". Default value is "1 stop bit".

  • Flow control

    • Possible values are: "None", "Hardware", "Xon/Xoff". Default value is "None".


Keyboard Shortcuts

  • F1 - About Serial Splitter
  • F5 - Configuration Start
  • F6 - Configuration Stop
  • F8 - Configuration Restart
  • Del - Delete currently highlighted port
  • CTRL+P - Invoke Preferences Window
  • CTRL+M - Set main port
  • CTRL+Ins - Add ports bundle
  • Left/Right - Collapse/Expand branch in a bundle
  • CTRL+R - Open real port Configuration Manager
Wizards:
  • CTRL+1 - Create a bundle for splitting one port into many
  • CTRL+2 - Create a bundle for joining many ports into a single one
  • CRTL+3 - Create a bundle for many-to-many ports splitting


Running/Stopping Serial Splitter

You can use the following icons to start and stop Serial Splitter's service:

Install current configuration:
Click this icon to create in the system all the bundles which have been created in a configuration. For successful execution of this operation all real ports in the system which are present in the bundle should not be occupied. If there were errors creating ports bundles, it might be helpful to look through errors log, specified at "Error log file location" in the Preferences window. Alternatively you can install the service by pressing F5 or by selecting "Service -> Start" option from the main menu.

Uninstall current configuration:
Press F6 or select "Service -> Stop" option from the main menu to uninstall current configuration from your system. Mind that all the ports present in bundles should be closed for successful execution of uninstall operation.

Rebuild current configuration:
By clicking this icon you will execute Uninstall operation followed by Install configuration operation. Alternatively press F8 or select "Service -> Restart" option from the main menu. This option is useful if you have added/deleted port, bundle, etc. to/from the current configuration and want to rebuild it with one click.


Driver installation

You may use Serial Splitter when developing your own programs embedding our service_ssplitter.exe

To do this you should obtain Serial Splitter [OEM license], register it and then utilize our serial splitter technology directly from your software.

Attention! This method is applicable for OEM-version only. You don't need to do this with standard Serial Splitter package.

Installing Serial Splitter driver under Microsoft Windows 2000, XP

The following files should be copied to the target machine's temporary (permanent) installation directory (you can find these files in NT5 directory).

File | Description
Vsb.inf | .INF file is needed for correct installation of virtual serial bus driver
Vsb.sys | Virtual Serial Bus Driver
Vsbsetup.exe | Executable that will silently install virtual serial bus driver
Vserial.inf | .INF file is needed for correct installation of virtual serial port driver
Vserial.sys | Virtual Serial Port driver

After all these files are copied on target machine, your installation program should execute "vsbsetup.exe" without any parameters. This will register vsb.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetup.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetup.exe /u". This will safely remove virtual serial bus from target system. No reboot will be required.

Installing Serial Splitter driver under 64-bit Microsoft Windows XP, 2003

The following files should be copied to the target machine's temporary (permanent) installation directory (you can find these files in NT5x64 directory).

File | Description
Vsb.inf | .INF file is needed for correct installation of virtual serial bus driver
Vsb.sys | Virtual Serial Bus Driver
Vsbsetup.exe | Executable that will silently install virtual serial bus driver
Vserial.inf | .INF file is needed for correct installation of virtual serial port driver
Vserial.sys | Virtual Serial Port driver

After all these files are copied on target machine, your installation program should execute "vsbsetup.exe" without any parameters. This will register vsb.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetup.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetup.exe /u". This will safely remove virtual serial bus from target system. No reboot will be required.

Installing Serial Splitter driver under Microsoft Windows NT4

The following files should be copied to the target machine temporary (permanent) installation directory (you can find these files in NT4 directory).

File | Description
Vsprt_nt4.sys | Virtual Serial Port Device Driver for NT4
vsbsetupnt.exe | Executable that will silently install virtual serial port driver

After all these files are copied on target machine, your installation program should execute "vsbsetupnt.exe" without any parameters. This will register vsbrt_nt4.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetupnt.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetupnt.exe /u". This will safely remove virtual serial bus from target system. No reboot required.


OEM Redistribution

Working with services

Service installation

After successful driver installation you may work directly with Serial Slitter's service. First of all you have to register it using registration code you have received and REG command-line argument. Registration should be completed this way: service_ssplitter.exe REG [YOUR NAME] [YOUR CODE]

After registration, the splitting service needs to be installed in the target environment. To do this type-in the following command-line argument "service_splitter.exe /install". If the service is installed successfully, you will get "OK" message or "Error" message otherwise.

Service uninstallation

If you want to uninstall the Serial Splitter's service, execute the following set of operations:
  1. If the service is currently running, stop it using "service_sspliter.exe /stop" command-line argument.
  2. Enter "service_sspliter.exe /uninstall" command-line argument to uninstall the service.
  3. You may also uninstall the driver for virtual ports using "vsbsetup.exe /U" command-line argument.
Addtional settings of the Serial Splitter service in Windows registry:

"SendDataOnlyMainPort"=dword:00000001 - if Value Data is specified as "dword:00000001", then only main port will have the right to send data. Enter "dword:00000001" to allow all ports to send data.
"ErrorFileLog"="C:\\Program Files\\Eltima Software\\Serial Splitter 3.0\\serial_spliter_log.txt" - in the Value Data field enter the path to the file where errors will be logged

COMMANDS REFERENCE

The list of instructions for splitting service follows:

/install - Service installation
/uninstall - Service uninstallation
/start - Launch service
/stop - Stop service
REG - Service registration
/startup=YES:NO - Toggles autostart of the service

Here are several examples:

service_sspliter.exe /install - service installation
service_sspliter.exe /start - service launching


Register keys description

Bundle installation

Let's take a closer look at the two ways of creating a new bundle:

1. The first way is to create a text file beforehand with specified bundle's name, main incoming and outgoing ports, and the ports themselves. The example of the text file follows:

REGEDIT -registry file

[HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SSplitter] - path to the service location

[HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SSplitter\New bundle] - bundle's name
"InMain"="COM3" - specify main port at the IN side
"OutMain"="COM5" - specify main port at the OUT side
[HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SSplitter\New bundle\In] - folder for incoming ports
"COM3"="Real" (Value Name is port's name and Value Data may be either Real or Virtual which specifies port's type)

[HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SSplitter\New bundle\Out] -folder for outgoing ports
"COM5"="Virtual" (Value Name is port's name and Value Data may be either Real or Virtual which specifies port's type)

Next you have to export the text file you've created to the registry with the help of the following command-line argument:

REG IMPORT [YOUR_FILENAME].reg

That's all. Now you may launch service_ssplitter.exe /start and start working.

2. Another way is manual. Launch the program regedit.exe (Start ->RUN... -> enter "regedit" in the invoked window). This will open the program for work with registry (Registry Editor). At the left side of the program window you will see a tree-like folder structure. You need to go to the folder named HKEY_LOCAL_MACHINE. Then go to the directory SOFTWARE, in which you may create your own folder, where bundles you create will be saved (for example, create folder named "Splitter"). To do this right-click the folder directory and select "New -> Key" from the drop-down menu. So, the complete path would be as follows: HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SSplitter


Frequently Asked Questions [FAQ]

  1. When creating virtual serial ports in my bundle, should I name them only COMx or can I use custom names?

    You can set any names to your virtual serial ports, it only depends on what will be more convenient for you to use.

  2. Why in the ports bundles some ports have icons that are not clearly visible?

    This has been done intentionally for better visualization of virtual serial ports. Real serial ports have a clear icon, while virtual serial ports are represented by a partially transparent image.

  3. Is flow control implemented in virtual serial ports created by Serial Splitter?

    Flow control and baudrate emulation are fully supported.

  4. Can I use virtual ports created by Serial Splitter with my GPS mapping software?

    Yes, virtual serial ports will be visible as real ports for GPS mapping software.

  5. Are hardware signal lines (DTR/DSR, RTS/CTS, RING, ERROR, DCD, etc.) emulated in Serial Splitter?

    Yes, all signal lines are emulated and supported. Please, be sure to get acquianted with main ports functionality and assigning techniques.

  6. Sometimes when I click to install the configuration, the button jsut doesn't react?

    If you are installing or rebuilding a relatively complicated configuration it can take some time to go through all registry entries and system drivers to create new ports and link them together, so usually the first solution will be to give Serial Splitter some time to process your configuration request.

  7. Are there any technical security issues when working with serial ports?

    The computers serial port uses voltages that can seriously damage any device not suited for the connection. The 9 or 25 pin connector used is the same connector used for other types of interfaces that are not necessarily serial interfaces. If you are unsure if an interface is a serial interface, do not attempt to attach to the interface as a test.

    A device, called a breakout box, can be used to safely determine if an interface is a serial interface or not. It is also possible to use a meter to measure the pins of the device to verify that the device is in fact using ± 12 volts on the DTR and RTS lines of the port. Additionally, the device’s documentation may state the purpose of the port.

    The line status indicators (LEDs) of this software do not qualify this software as a “breakout box”. When the output signals are low, or in their inactive state, the output voltage is NEGATIVE (-) 12 VOLTS, which is a very dangerous voltage to “test” with.

  8. The serial ports seem to be created only when the configuration application is started. Is it the correct behavior?

    Yes, correct, the virtual ports are created only after the configuration has been installed.